import InterfaceMainService from '../../../core/interface.main.service';
import { ObjectLiteral } from 'typeorm';
import { CreateRiwayatPresensiInput } from '../dto/create-riwayat-presensi.input';
export interface InterfaceRiwayatPresensiService<T extends ObjectLiteral> extends InterfaceMainService<T> {
    doCreate(data: CreateRiwayatPresensiInput): Promise<T>;
    attendanceHistoriesWithPagination(perPage: number, page: number, pegawaiId?: string | null, instansiId?: string | null, search?: string | null): Promise<[T[], number]>;
    switchAttendanceHistoryStatus(id: string): Promise<T>;
    sendToAttendance(id: string): Promise<T>;
}
